#!/bin/bash

SUPPORT=$(lscpu|grep sse4_2)

CODE_NAME=$(lsb_release -cs)
ARCH=$(dpkg --print-architecture)

DEB_FILE=$(curl -sS https://www.signalyst.eu/bins/naa/linux/${CODE_NAME}/ | sed -ne "s/.*\(networkaudiod_.*_${ARCH}.deb\).*/\1/p" | tail -n 1)

if [ ! -z "${DEB_FILE}" ]; then
  if [ ! -f "/media/snakeoil_cache/${DEB_FILE}" ]; then
    wget https://www.signalyst.eu/bins/naa/linux/${CODE_NAME}/${DEB_FILE} -O /media/snakeoil_cache/${DEB_FILE}
  fi
  apt update
  DEBIAN_FRONTEND=noninteractive apt install -y /media/snakeoil_cache/${DEB_FILE}

  systemctl disable networkaudiod.service
  systemctl stop networkaudiod.service

  if [ -f /etc/init.d/networkaudiod.dpkg-new ]; then
    if [ ! -f /etc/init.d/networkaudiod ]; then
      mv /etc/init.d/networkaudiod.dpkg-new /etc/init.d/networkaudiod
    fi
  fi
else
  echo "Cannot pick debian file to install. Contact the Snakeoil squad"
fi

