#!/usr/bin/bash

ARCH=$(uname -m)

if [ ${ARCH} == "aarch64" ]; then
  ARCH="arm"
elif [ ${ARCH} == "x86_64" ]; then
  ARCH="amd64"
else
  echo "Your CPU architecture ($ARCH) is not supported"
  exit 1
fi

LMS_DEB="lyrionmusicserver_latest_${ARCH}.deb"
ARTIFACTS_CACHE="/media/snakeoil_cache"

rm -f "${ARTIFACTS_CACHE}/${LMS_DEB}"
echo https://artifacts.snakeoil-os.net/players/lyrion_music_server/${LMS_DEB} 
curl -f -s https://artifacts.snakeoil-os.net/players/lyrion_music_server/${LMS_DEB} \
  -o ${ARTIFACTS_CACHE}/${LMS_DEB}

if [ ! -f "${ARTIFACTS_CACHE}/${LMS_DEB}" ]; then
  echo "Download fail... cannot continue!"
  exit 1
fi

apt install -y ${ARTIFACTS_CACHE}/${LMS_DEB}
PERL_MODULES="lyrion_cpan_5.38_arm64.tar.bz2"
curl -f -s https://artifacts.snakeoil-os.net/artifacts/${PERL_MODULES} \
  -o ${ARTIFACTS_CACHE}/${PERL_MODULES}
systemctl stop lyrionmusicserver > /dev/null 2> /dev/null

tar -xjf ${ARTIFACTS_CACHE}/${PERL_MODULES} -C /usr/share/squeezeboxserver/CPAN/arch/
systemctl disable lyrionmusicserver > /dev/null 2> /dev/null

