#!/bin/bash
ARCH=$(dpkg --print-architecture)

# Install JRE
IS_JDK_INSTALLED=$(dpkg -l|grep openjdk-8-jre)
if [ -z "${IS_JDK_INSTALLED}" ]; then
  apt update
  apt install openjdk-8-jre-headless -y
else
  echo "JDK already installed"
fi

# Download and install MinimServer
PACKAGE=MinimServer-latest-${ARCH}.tar.gz
wget https://artifacts.snakeoil-os.net/players/minimserver/${PACKAGE} \
    -O /media/snakeoil_cache/${PACKAGE}

if [ ! -f /media/snakeoil_cache/${PACKAGE} ]; then
  echo "MinimServer download missing, install cannot continue."
  exit 1
fi

if [ -d /opt/minimserver ]; then
  rm -rf /opt/minimserver
fi

echo "Installing... Please wait"

tar -xzf /media/snakeoil_cache/${PACKAGE} -C /opt

/opt/minimserver/bin/startd
sleep 2; /opt/minimserver/bin/mscript /var/www/players/minimserver/setup;/opt/minimserver/bin/stopall

exit 0

